For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
      • GETGet AI runs usage
      • GETGet contexts clientside usage
      • GETGet contexts serverside usage
      • GETGet contexts total usage
      • GETGet data export events usage
      • GETGet evaluations usage
      • GETGet events usage
      • GETGet experimentation events usage
      • GETGet experimentation keys usage
      • GETGet MAU clientside usage
      • GETGet MAU SDKs by type
      • GETGet MAU total usage
      • GETGet MAU usage
      • GETGet MAU usage by category
      • GETGet observability errors usage
      • GETGet observability logs usage
      • GETGet observability metrics usage
      • GETGet observability sessions usage
      • GETGet observability traces usage
      • GETGet SDK versions usage details
      • GETGet service connections usage
      • GETGet stream usage
      • GETGet stream usage by SDK version
      • GETGet stream usage SDK versions
      • GETGet usage details for all SDK versions
      • GETGet Vega AI usage
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewAccount Usage Beta

Get MAU SDKs by type

GET
/api/v2/usage/mau/sdks
GET
/api/v2/usage/mau/sdks
$curl https://app.launchdarkly.com/api/v2/usage/mau/sdks \
> -H "Authorization: <apiKey>"
1{
2 "_links": {},
3 "sdks": [
4 "Android",
5 "Java",
6 "Node.js"
7 ]
8}
Get a list of SDKs. These are all of the SDKs that have connected to LaunchDarkly by monthly active users (MAU) in the requested time period.<br/><br/>Endpoints for retrieving monthly active users (MAU) do not return information about active context instances. After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should not rely on this endpoint. To learn more, read [Account usage metrics](https://launchdarkly.com/docs/home/account/metrics).
Was this page helpful?
Previous

Get MAU total usage

Next
Built with

Get a list of SDKs. These are all of the SDKs that have connected to LaunchDarkly by monthly active users (MAU) in the requested time period.

Endpoints for retrieving monthly active users (MAU) do not return information about active context instances. After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should not rely on this endpoint. To learn more, read Account usage metrics.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

fromstringOptionalformat: "string"
The data returned starts from this timestamp. Defaults to seven days ago. The timestamp is in Unix milliseconds, for example, 1656694800000.
tostringOptionalformat: "string"
The data returned ends at this timestamp. Defaults to the current time. The timestamp is in Unix milliseconds, for example, 1657904400000.
sdktypestringOptionalformat: "string"

The type of SDK with monthly active users (MAU) to list. Must be either client or server.

Response

MAU SDKs response
_linksmap from strings to any
The location and content type of related resources
sdkslist of strings
The list of SDK names

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error